:- consult('plnxt.pl').              % zaadowanie pliku plnxt.pl
 
start :-
       nxt_open,                     % otworzenie poczenie
       go.                           % wywoanie programu 'go'
 
go :-
       trigger_create(_, sprawdz_odleglosc, [obroc_robota, go]),   % jeeli dystans jest mniejszy ni 15, to nastpuje wywoanie 'obroc_robota', a nastpnie rekurencyjnie 'go'
       nxt_go(300).                                                % jazda z prdkoci 300 stopni na sekund
 
%% Predykat sprawdzajcy odlego od przeszkody
sprawdz_odleglosc :-
       nxt_ultrasonic(Odleglosc, force),  % wymuszone sprawdzenie odlegoci
       Odleglosc < 15.                    % odlego mniejsza od 15?
 
%% Predykat dokonujcy obrotu robota.
obroc_robota :-
       nxt_stop,                          % zatrzymanie robota
       nxt_rotate(500, 270 - random(180)). % obrt robota w miejscu o losowy kt 90 do 270 stopni